Subject: bug#25322: preview-latex coding system problem with Japanese LaTeX

From: Mosè Giordano <[email-masked]>
Date: Fri, 26 May 2017 17:33:27 +0200

Hi!

2017-05-26 15:47 GMT+02:00 Ikumi Keita <[email-masked]>:
> I wrote a suite of ERT files and commited them with the patches, since I
> heard no objections during the span.  I also commited the patch in my
> previous message to make preview-latex to work with xemacs on w32
> system.
>
> Since it was too difficult for me to write a full automated test which
> can complete entirely in batch mode because the functionality of
> preview-latex depends how images scattered on the buffer "look" like to
> human eyes, some of the tests are marked to be skipped in batch mode.
> Such tests requires manual execution instead.

I know that tests aren't always easy to write, especially for stuff
that requires interaction.  I don't ask tests at any cost, but when
it's possible to write them, they're definitely useful to prevent
future failures ;-)

> If someone finds difficulties with this commit, feel free to ask me.

Indeed I have a problem: all non skipped tests in
japanese/preview-latex.el fail for me.  Attached you can find the log,
if it can help you.

Bye,
Mosè